<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST[kodeaw];
$kodeak	=$_POST[kodeak];

$sql	= mysql_query("SELECT * FROM interface");
$r 		= mysql_fetch_assoc($sql);
$piut	= $r[piutang];
$labapb = $r[laba_pb];
$labrug = $r[laba_rugi];
$nosublpb= substr($labapb,0,3);
$nosublr = substr($labrug,0,3);

$query = mysql_query("SELECT * FROM jurkm WHERE kode_km BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_km");

while($data=mysql_fetch_array($query)){
	$kodekm = $data[kode_km];
	$tanggal= $data[tanggal];
	$nokas 	= $data[nokas];
	$noakun = $data[noakun];
	$nobp 	= $data[nobp];
	$nofak	= $data[nofak];
	$jumlah	= $data[jumlah];
	$ket 	= $data[keterangan];
	$user 	= $data[user];
	$nosubks= substr($nokas,0,3);
	$nosubak= substr($noakun,0,3);
	$kelakun= (int) substr($noakun,0,1);
	
	// --->debet kas bertambah
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$nokas'");
	
	// --->jika kode akun buku besar adalah piutang dagang, kurangi saldo piutang
	if($noakun==$piut){
		$kodepl = substr($nobp,5,4);
		mysql_query("UPDATE piutang SET jumlah=jumlah-$jumlah WHERE kode_pl='$kodepl' AND nofak='$nofak'");
	}

	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodekm','JKM','$tanggal','$kodekm','$nokas','$nosubks','$jumlah','$ket','$user')");
	
	// --->kredit akun bertambah
	$sql = mysql_query("SELECT noakun,mutasi_kd FROM akun_bb WHERE noakun='$noakun' ");
	$r = mysql_fetch_assoc($sql);	
	$kredit = $r[mutasi_kd]+$jumlah;
		
	$input	= "UPDATE akun_bb SET mutasi_kd='$kredit' WHERE noakun='$noakun'";
	mysql_query($input);
		
	if(!($nobp=='')){
		// --->Jika akun buku pembantu tidak kosong, kredit bertambah
		$sql = mysql_query("SELECT noakun,mutasi_kd FROM akun_bp WHERE noakun='$nobp' ");
		$r = mysql_fetch_assoc($sql);	
		$kredit = $r[mutasi_kd]+$jumlah;
		
		$input	= "UPDATE akun_bp SET mutasi_kd='$kredit' WHERE noakun='$nobp'";
		mysql_query($input);
	}
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,kredit,keterangan,user) VALUES('$kodekm','JKM','$tanggal','$kodekm','$noakun','$nosubak','$nobp','$jumlah','$ket','$user')");
	
	if($kelakun>3){
		// --->laba rugi debet
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$labrug'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodekm','JKM','$tanggal','$kodekm','$labrug','$nosublr','$jumlah','$ket','$user')");

		// --->laba periode berjalan kredit
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$labapb'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodekm','JKM','$tanggal','$kodekm','$labapb','$nosubpb','$jumlah','$ket','$user')");
	}
} 

mysql_query("SELECT * FROM jurkm WHERE kode_km BETWEEN '$kodeaw' AND '$kodeak' ORDER BY kode_km");
mysql_query("UPDATE jurkm SET posting='P' WHERE kode_km BETWEEN '$kodeaw' AND '$kodeak' ");
?>